Skip to content

Instantly share code, notes, and snippets.

Avatar
⛩️
Zazen

James Cuzella trinitronx

⛩️
Zazen
View GitHub Profile
@trinitronx
trinitronx / VM specs
Created May 11, 2011
RVM installer no-worky :-(
View VM specs
sysuser@li231-239:~$ bash --version
GNU bash, version 3.2.39(1)-release (i486-pc-linux-gnu)
Copyright (C) 2007 Free Software Foundation, Inc.
sysuser@li231-239:~$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 8.04.4 LTS
Release: 8.04
Codename: hardy
@trinitronx
trinitronx / shell-session
Created May 12, 2011
Yet Another RVM problem :-(
View shell-session
sysuser@test-3504:~$ bash < <(curl -s https://rvm.beginrescueend.com/install/rvm)
+ export HOME=/opt/standingcloud
+ HOME=/opt/standingcloud
+ (( 0 == 0 ))
+ for rvmrc in /etc/rvmrc '"$HOME/.rvmrc"'
+ [[ -f /etc/rvmrc ]]
+ grep '^\s*rvm .*$' /etc/rvmrc
+ source /etc/rvmrc
++ umask g+w
+ for rvmrc in /etc/rvmrc '"$HOME/.rvmrc"'
@trinitronx
trinitronx / shell-session
Created May 19, 2011
RVM logging printf problem
View shell-session
Installing Ruby Enterprise Edition from source to: /usr/local/rvm/rubies/ree-1.8.7-2011.03
ree-1.8.7-2011.03 - #fetching (ruby-enterprise-1.8.7-2011.03)
% Total % Received % Xferd Average Speed Time Time Time Current
Dload Upload Total Spent Left Speed
100 7713k 100 7713k 0 0 2959k 0 0:00:02 0:00:02 --:--:-- 4833k
/usr/local/rvm/scripts/functions/logging: line 13: printf: --: invalid option
@trinitronx
trinitronx / venv.py
Created Aug 1, 2011
Added pdb lines to debug pythonbrew's venv commands
View venv.py
import os
import sys
from pythonbrew.basecommand import Command
from pythonbrew.define import PATH_PYTHONS, PATH_VENVS, PATH_ETC_VENV
from pythonbrew.util import Subprocess, Package,\
is_installed, get_installed_pythons_pkgname, get_using_python_pkgname
from pythonbrew.log import logger
class VenvCommand(Command):
name = "venv"
@trinitronx
trinitronx / control
Created Jul 18, 2012
A simple tarball creation script for packaging bundler apps with a vendor/cache dir
View control
Vcs-Git: https://github.com/TracksApp/tracks.git
Vcs-Browser: https://github.com/TracksApp/tracks
View Slatwall-error.html
<html><head><style type="text/css"></style><script>window["_GOOG_TRANS_EXT_VER"] = "1";</script></head><body><div id="x5"><script language="JavaScript" type="text/javascript">
function dumpOC(name){var tds=document.all?document.getElementsByTagName('tr'):document.getElementsByName(name);var s=null;name=name;for(var i=0;i<tds.length;i++) {if(document.all && tds[i].name!=name)continue;s=tds[i].style;if(s.display=='none') s.display='';else s.display='none';}}
</script>
<style type="text/css">
div#x5 table {font-family:Verdana, Geneva, Arial, Helvetica, sans-serif; font-size:11px; empty-cells:show; color:#000; border-spacing: 1px}
div#x5 td {border:1px solid #000; vertical-align:top; padding:2px; empty-cells:show;}
div#x5 td span {font-weight:bold;}
td.rccf {background-color:#ccf;}
td.r9c3 {background-color:#9c3;}
td.rfc9 {background-color:#fc9;}
View Slatwall-bleedingedge-error.html
<html><head><style type="text/css"></style><script>window["_GOOG_TRANS_EXT_VER"] = "1";</script></head><body><div id="x1e"><script language="JavaScript" type="text/javascript">
function dumpOC(name){var tds=document.all?document.getElementsByTagName('tr'):document.getElementsByName(name);var s=null;name=name;for(var i=0;i<tds.length;i++) {if(document.all && tds[i].name!=name)continue;s=tds[i].style;if(s.display=='none') s.display='';else s.display='none';}}
</script>
<style type="text/css">
div#x1e table {font-family:Verdana, Geneva, Arial, Helvetica, sans-serif; font-size:11px; empty-cells:show; color:#000; border-spacing: 1px}
div#x1e td {border:1px solid #000; vertical-align:top; padding:2px; empty-cells:show;}
div#x1e td span {font-weight:bold;}
td.rccf {background-color:#ccf;}
td.r9c3 {background-color:#9c3;}
td.rfc9 {background-color:#fc9;}
View gist:4709742
Reading package lists...
Building dependency tree...
Reading state information...
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:
The following packages have unmet dependencies:
@trinitronx
trinitronx / Open iTerm Here
Last active Dec 16, 2015 — forked from al3xandru/gist:1156476
An AppleScript to provide Open iTerm Here function within Finder.app. Forked to work with iTerm2's default Hotkey Window keyboard shortcut. (So it triggers the sliding yakuake-style Hotkey Window profile first.)
View Open iTerm Here
on run {input, parameters}
tell application "Finder"
set sel to selection
if (count sel) > 0 then
set myTarget to item 1 of sel
else if (count window) > 0 then
set myTarget to target of window 1
else
set myTarget to path to home folder
end if
You can’t perform that action at this time.